package gov.va.med.hac.edi.ewv2.beans.reference;


import static org.jboss.seam.ScopeType.SESSION;
import gov.va.med.hac.edi.ewv2.exceptions.NonUniqueRecordsException;
import gov.va.med.hac.edi.ewv2.persistence.EwvReference;

import java.io.Serializable;
import java.math.BigDecimal;

import org.jboss.seam.annotations.Destroy;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.international.StatusMessage.Severity;
import org.jboss.seam.international.StatusMessages;
import org.jboss.seam.log.Log;

//import javax.ejb.Remove;
//import javax.ejb.Stateful;
import javax.persistence.EntityManager;
import javax.persistence.Query;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;


@SuppressWarnings("serial")
@Name("referenceEditBean")
@Scope(SESSION)
public class ReferenceEditBean implements Serializable {
	
	
	   /** The log. */
	   @Logger
	   private Log log;

	   /** The Entity Manager. */
	    @In(create = true)
	    protected EntityManager  entityManager;
	
		private long guid;

		private String referenceLabel;

		private String referenceUrl;

		private int active;
	
	
	   public String createReference(){
	       
           String ret = "createReferenceFAIL";
           boolean success = false;
           String sql;
           Query q;
           
 	      try {        
	           sql = "SELECT COUNT(*) FROM EwvReference reference "
	           		+ " WHERE UPPER(reference.referenceLabel) = :upperlabel";
	           System.out.println("upperlabel:" + this.getReferenceLabel().trim().toUpperCase());
	           q = entityManager.createQuery(sql);
	           q.setParameter("upperlabel", this.getReferenceLabel().trim().toUpperCase());         
	           Long count = (Long) q.getSingleResult();
	
	           if (count.intValue() > 0) {
	               StatusMessages.instance().addFromResourceBundle(Severity.ERROR,
	                       "ewv2.beans.reference.CREATE_USER_ERROR_ON_EXISTING", "");
	               return ret;
	           }
               
 	      } catch (Throwable t) {
	          if (t instanceof javax.persistence.NoResultException)
	          {
	              log.info("cannot get record for EwvAdministrator: ");
	          }
	      }    
              
 	      try {  	      
        	   sql = "SELECT MAX(guid) FROM EwvReference";
               q = entityManager.createQuery(sql);                 
               Long seqId = (Long)q.getSingleResult();
               int guidVal = seqId.intValue() + 1;
                    	   
               EwvReference ewvReference = new EwvReference();
               ewvReference.setGuid(guidVal);
               ewvReference.setReferenceLabel(this.getReferenceLabel().trim());
               ewvReference.setReferenceUrl(this.getReferenceUrl().trim());
               ewvReference.setActive(1);
               
               entityManager.persist(ewvReference);
               
               ret = "createReferenceSUCCESS";
               referenceLabel = "";
               referenceUrl = "";
               success = true;
               
 	      } catch (Throwable t) {
	              log.info("Exception occured in Reference Edit Bean : " + t.getMessage() );
	      } finally {
	      }
 	      
 	     if (success) {
 	        StatusMessages.instance().addFromResourceBundle(Severity.INFO,
 	                "ewv2.beans.reference.CREATE_REFERENCE_MESSAGE_SUCCCESS", "Reference Data Added Successfully");
 	    } else {
 	        StatusMessages.instance().addFromResourceBundle(Severity.ERROR,                       
 	                "ewv2.beans.reference.CREATE_REFERENCE_MESSAGE_FAILED", "Error Adding Reference Data");
 	    }
           return ret;
       
   }	
	   
	   
public String deleteReference(){
    
    String ret = "deleteReferenceFAIL";
    boolean success = false;
    String sql;
    Query q;
    
    sql = "SELECT COUNT(*) FROM EwvReference reference "
       		+ " WHERE UPPER(reference.referenceLabel) = :upperlabel";
    q = entityManager.createQuery(sql);
    q.setParameter("upperlabel", this.getReferenceLabel().trim().toUpperCase());         
    Long recordCount = (Long) q.getSingleResult();

    if (recordCount.intValue() == 0) {
        StatusMessages.instance().addFromResourceBundle(Severity.ERROR,
                "ewv2.beans.reference.DELETE_USER_ERROR_NOT_EXISTING",
                "");
        return ret;
    } else {

        sql = " DELETE FROM EwvReference reference "
            + " WHERE UPPER(reference.referenceLabel)= :upperlabel";
        
        if ( this.getReferenceUrl() != null && this.getReferenceUrl().trim().length() > 0){
        	
        	sql += " AND UPPER(reference.referenceUrl) = :upperUrl";
        }
        
        q = entityManager.createQuery(sql);
        q.setParameter("upperlabel", this.getReferenceLabel().trim().toUpperCase());
        
        if ( this.getReferenceUrl() != null && this.getReferenceUrl().trim().length() > 0){
        	q.setParameter("upperUrl", this.getReferenceUrl().trim().toUpperCase());
        }        
        
        q.executeUpdate();
        ret = "deleteReferenceSUCCESS";
        referenceLabel = "";
        referenceUrl = "";
        success = true;

    }

    if (success) {
        StatusMessages.instance().addFromResourceBundle(Severity.INFO,
                "ewv2.beans.reference.DELETE_REFERENCE_MESSAGE_SUCCCESS", "Reference Data Deleted Successfully");
    } else {
        StatusMessages.instance().addFromResourceBundle(Severity.ERROR,                       
                "ewv2.beans.reference.DELETE_REFERENCE_MESSAGE_FAILED", "Error Deleting Reference Data");
    }

    return ret;

}
	   
	   
	   
	   
	   
	   
	   
	
	   @Destroy
//	   @Remove
	   public final void destroy() {
	      // log.info("destroyed:" + this);
	   }

//	   
//	   public final void update(ActionEvent event) {
//	      FacesContext context = FacesContext.getCurrentInstance();
//	      UIViewRoot root = context.getViewRoot();
//	      root.processUpdates(context);
//	   }
	   
		public long getGuid() {
			return this.guid;
		}

		public void setGuid(long guid) {
			this.guid = guid;
		}
		
	public String getReferenceLabel() {
		return this.referenceLabel;
	}

	
	public void setReferenceLabel(String referenceLabel) {
		this.referenceLabel = referenceLabel;
		
	}

	
	public String getReferenceUrl() {
		return this.referenceUrl;
	}

	
	public void setReferenceUrl(String referenceUrl) {
		this.referenceUrl = referenceUrl;
		
	}

	
	public int getActive() {
		return this.active;
	}

	
	public void setActive(int active) {
		this.active = active;
		
	}

	
	public void validateTextAreaLength(FacesContext context,
			UIComponent component, Object obj) {
		// TODO Auto-generated method stub
		
	}
}
